<html>
<head>
<title>OGRE: Ogre::SceneManager::SkyPlaneGenParameters Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>::<a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html">SkyPlaneGenParameters</a></div>
<h1>Ogre::SceneManager::SkyPlaneGenParameters Struct Reference</h1><!-- doxytag: class="Ogre::SceneManager::SkyPlaneGenParameters" --><code>#include &lt;<a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#195da963d9b0190f231d0b3993b9398f">skyPlaneScale</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#91880d08789c5e1848ec08f7f1c38409">skyPlaneTiling</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#ffded02d7446a84df467f367beeb022e">skyPlaneBow</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#91db58fc3ac636b3b1d21fa7358daf0e">skyPlaneXSegments</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#9915f0f224dc6b7a615b7ed521dc8757">skyPlaneYSegments</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00278">278</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="195da963d9b0190f231d0b3993b9398f"></a><!-- doxytag: member="Ogre::SceneManager::SkyPlaneGenParameters::skyPlaneScale" ref="195da963d9b0190f231d0b3993b9398f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#195da963d9b0190f231d0b3993b9398f">Ogre::SceneManager::SkyPlaneGenParameters::skyPlaneScale</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00280">280</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="91880d08789c5e1848ec08f7f1c38409"></a><!-- doxytag: member="Ogre::SceneManager::SkyPlaneGenParameters::skyPlaneTiling" ref="91880d08789c5e1848ec08f7f1c38409" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#91880d08789c5e1848ec08f7f1c38409">Ogre::SceneManager::SkyPlaneGenParameters::skyPlaneTiling</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00281">281</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ffded02d7446a84df467f367beeb022e"></a><!-- doxytag: member="Ogre::SceneManager::SkyPlaneGenParameters::skyPlaneBow" ref="ffded02d7446a84df467f367beeb022e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#ffded02d7446a84df467f367beeb022e">Ogre::SceneManager::SkyPlaneGenParameters::skyPlaneBow</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00282">282</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="91db58fc3ac636b3b1d21fa7358daf0e"></a><!-- doxytag: member="Ogre::SceneManager::SkyPlaneGenParameters::skyPlaneXSegments" ref="91db58fc3ac636b3b1d21fa7358daf0e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#91db58fc3ac636b3b1d21fa7358daf0e">Ogre::SceneManager::SkyPlaneGenParameters::skyPlaneXSegments</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00283">283</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9915f0f224dc6b7a615b7ed521dc8757"></a><!-- doxytag: member="Ogre::SceneManager::SkyPlaneGenParameters::skyPlaneYSegments" ref="9915f0f224dc6b7a615b7ed521dc8757" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1SceneManager_1_1SkyPlaneGenParameters.html#9915f0f224dc6b7a615b7ed521dc8757">Ogre::SceneManager::SkyPlaneGenParameters::skyPlaneYSegments</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00284">284</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:04 2008
</p>
</body>
</html>
